Issue 98523 - Draw/Impress: spell checking in RTL context
Summary: Draw/Impress: spell checking in RTL context
Status: CLOSED FIXED
Alias: None
Product: Impress
Classification: Application
Component: ui (show other issues)
Version: DEV300 m39
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 3.1
Assignee: wolframgarten
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks: 78451
  Show dependency tree
 
Reported: 2009-01-27 12:56 UTC by thomas.lange
Modified: 2009-02-26 10:52 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description thomas.lange 2009-01-27 12:56:57 UTC
Even after issue i72073 is fixed, if you install a Hebrew or Arabic spell
checker the red marking for Arabic or Hebrew text in RTL context are displayed
in the wrong positions if the text object is not in edit mode.

To see the issue you need the fix to i72073 (one file impedit3.cxx) and an
Arabic or Hebrew dictionary extension should be available in the OOo extension
repository. If not you can ask me for those.
Comment 1 wolframgarten 2009-01-27 14:16:12 UTC
Target set.
Comment 2 Armin Le Grand 2009-01-27 14:52:41 UTC
AW: Added CCs
Comment 3 Joost Andrae 2009-01-27 15:50:56 UTC
ja->aw: as shown the spellcheck underline of the string in RTL context within a
drawing object works as expected but when you leave the edit engine the
underline is painted left besides the text. This issue for me is not a show
stopper. If you're able to fix it in time for 3.1 then I would take it but
otherwise it can be re-targeted to 3.1.1 or 3.2.0
Comment 4 Armin Le Grand 2009-02-05 13:00:28 UTC
AW: First check: Redlining for primitives is extracted in Text decomposition
(text layouting using the Outliner in callback mode). WrongSpellPrimitive2D's
are created independent from
TextDecoratedPortionPrimitive2D/TextSimplePortionPrimitive2D, so - independent
of using VCL for direct text rendering or not - redlining will be done using
primitives (in non-edit mode).
The data in WrongSpellPrimitive2D is already prepared geometrically as two point
positions in impTextBreakupHandler::impCreateTextPortionPrimitive, so the fix
has to be done there and independent from #i72073#, too.
Looking forward to setup RTL and spell checking...
Comment 5 Armin Le Grand 2009-02-05 14:31:55 UTC
AW: I could relatively easily just mirror the geometry extraction for redlining
in impTextBreakupHandler::impCreateTextPortionPrimitive. Works well, redlining
is now on the correct positions.
Checked in, done.
Comment 6 Armin Le Grand 2009-02-11 11:40:00 UTC
AW->WG: Please review. To review, You may ask TL for assistance. You need to
install a SpellChecker as extension from x:\tl and need to grab some RTL text. I
may be of help, too.
Comment 7 wolframgarten 2009-02-11 14:03:34 UTC
Verified in CWS.
Comment 8 wolframgarten 2009-02-26 10:52:21 UTC
Closed.